package de.intevation.flys.client.client.ui;

import com.google.gwt.core.client.GWT;

import com.smartgwt.client.types.VerticalAlignment;
import com.smartgwt.client.widgets.Canvas;
import com.smartgwt.client.widgets.Label;
import com.smartgwt.client.widgets.layout.HLayout;

import de.intevation.flys.client.shared.model.Data;


/**
 * This UIProvider displays the DataItems contained in the Data object in a
 * combo box as SelectProvider does. Furthermore, there is a map displayed that
 * lets the user choose a river by selecting it on the map.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class MapSelection extends SelectProvider {

    public MapSelection() {
    }


    /**
     * This method currently returns a
     * {@link com.smartgwt.client.widgets.form.DynamicForm} that contains all
     * data items in a combobox stored in <i>data</i>.<br>
     *
     * <b>TODO: The map panel for the river selection needs to be
     * implemented!</b>
     *
     * @param data The {@link Data} object.
     *
     * @return a combobox.
     */
    protected Canvas createWidget(Data data) {
        GWT.log("MapSelection - create()");

        HLayout h = new HLayout();
        h.setAlign(VerticalAlignment.TOP);

        Canvas form  = super.createWidget(data);
        form.setWidth(250);

        Label  label = new Label("TODO: Map with rivers.");
        label.setValign(VerticalAlignment.TOP);

        // TODO add the map panel to select the rivers via map.

        h.addMember(form);
        h.addMember(label);

        return h;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
